package org.gcube.portlets.user.geoportaldataviewer.shared;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

import org.gcube.portlets.user.geoportaldataviewer.shared.gis.LayerItem;


/**
 * The Class GeoNaDataObject.
 *
 * @author Francesco Mangiacrapa at ISTI-CNR (francesco.mangiacrapa@isti.cnr.it)
 * 
 * Oct 29, 2020
 */
public class GeoNaDataObject implements Serializable{
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 5566069859060851625L;
	/** The form data entry fields. */
	private Map<String, List<String>> dataEntryFields;
	private String geonaDataType;
	private LayerItem layerItem;
	
	/**
	 * Instantiates a new geo na data object.
	 */
	public GeoNaDataObject(){
		
	}

	/**
	 * Gets the data entry fields.
	 *
	 * @return the data entry fields
	 */
	public Map<String, List<String>> getDataEntryFields() {
		return dataEntryFields;
	}

	/**
	 * Sets the data entry fields.
	 *
	 * @param dataEntryFields the data entry fields
	 */
	public void setDataEntryFields(Map<String, List<String>> dataEntryFields) {
		this.dataEntryFields = dataEntryFields;
	}

	/**
	 * Gets the geona data type.
	 *
	 * @return the geona data type
	 */
	public String getGeonaDataType() {
		return geonaDataType;
	}
	
	
	public LayerItem getLayerItem() {
		return layerItem;
	}

	public void setLayerItem(LayerItem layerItem) {
		this.layerItem = layerItem;
	}

	/**
	 * Sets the geona data type.
	 *
	 * @param geonaDataType the new geona data type
	 */
	public void setGeonaDataType(String geonaDataType) {
		this.geonaDataType = geonaDataType;
	}

	/* (non-Javadoc)
	 * @see java.lang.Object#toString()
	 */
	@Override
	public String toString() {
		StringBuilder builder = new StringBuilder();
		builder.append("GeoNaFormDataObject [dataEntryFields=");
		builder.append(dataEntryFields);
		builder.append(", geonaDataType=");
		builder.append(geonaDataType);
		builder.append("]");
		return builder.toString();
	}

}
